limit_conn_zone                             $binary_remote_addr zone=conPerIp:5m;

limit_req_zone                              $binary_remote_addr zone=reqPerSec1:1m rate=1r/s; 
limit_req_zone                              $binary_remote_addr zone=reqPerSec5:1m rate=5r/s; 
limit_req_zone                              $binary_remote_addr zone=reqPerSec10:1m rate=10r/s;  
limit_req_zone                              $binary_remote_addr zone=reqPerSec20:1m rate=20r/s; 
limit_req_zone                              $binary_remote_addr zone=reqPerSec50:1m rate=50r/s; 
limit_req_zone                              $binary_remote_addr zone=reqPerSec200:1m rate=200r/s;  
limit_req_status                                 444;